%global rev 353

Name:       slingshot
Version:    0.7

Release:    0.1.r%{rev}%{?dist}
Summary:    Fancy application launcher 

Group:      User Interface/Desktops
License:    GPLv3
URL:        https://launchpad.net/wingpanel
Source0:    https://launchpad.net/~elementary-os/+archive/daily/+files/%{name}-launcher_%{version}+r%{rev}-0+pkg19~saucy1.tar.gz

BuildRequires:      cmake
BuildRequires:      vala
BuildRequires:      vala-tools
BuildRequires:      gobject-introspection-devel
BuildRequires:      libindicator-gtk3-devel
BuildRequires:      libgee06-devel
BuildRequires:      glib2-devel
BuildRequires:      gtk3-devel
BuildRequires:      libwnck3-devel
BuildRequires:      libunity-devel
BuildRequires:      libzeitgeist-devel
BuildRequires:      granite-devel
BuildRequires:      gnome-menus2-devel

%description
Slingshot is an app launcher created specifically for elementary, but is
usable with other desktop environments as well. It's supposed to be simple,
easy on the eyes and just works without much pc knowledge or explanation.

%prep
%setup -q -n recipe-{debupstream}+r{revno}-0+pkg{revno:packaging}

%build
%cmake .
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%{_bindir}/slingshot-launcher
%{_sysconfdir}/xdg/menus/pantheon-applications.menu
%{_datadir}/glib-2.0/schemas/org.pantheon.desktop.slingshot.gschema.xml

%changelog
* Fri May 24 2013 Wesley Hearn <whearn@redhat.com> - 0.7-0.1.r353
- Initial package
